Bug 442830 - Kernel syching issue
Kernel syching issue
Status: CLOSED INSUFFICIENT_DATA
Product: Red Hat Enterprise Linux 4
Classification: Red Hat
Component: kernel (Show other bugs)
4.3
i386 Linux
low Severity high
: rc
: ---
Assigned To: Eric Sandeen
Martin Jenner
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-04-17 00:10 EDT by Keerthi Prashanth S.
Modified: 2008-08-23 00:39 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-08-23 00:39:26 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Keerthi Prashanth S. 2008-04-17 00:10:03 EDT
Description of problem: Kernel synching 
The machine is GX620 machine which is giving this error as shown below:-

Version-Release number of selected component (if applicable):
RHEL AS4U3

How reproducible:


Steps to Reproduce:
1.
2.
3.
  
Actual results:


Expected results:


Additional info:
Apr 17 03:34:28 abc su[3836]: Warning!  Could not relabel /dev/pts/1 with
user_u:object_r:initrc_devpts_t, not relabeling.Operation not permitted
Apr 17 03:34:32 abc su(pam_unix)[3836]: session closed for user jboss
Apr 17 03:34:32 abc root: System Integral Application Server is going down
Apr 17 03:34:53 abc su(pam_unix)[3881]: session opened for user jboss by (uid=0)
Apr 17 03:34:53 abc su[3881]: Warning!  Could not relabel /dev/pts/1 with
user_u:object_r:initrc_devpts_t, not relabeling.Operation not permitted
Apr 17 03:34:53 abc root: System Integral Application Server is coming up
Apr 17 03:35:03 abc kernel: java[3913]: segfault at 00000000b1b15cf0 rip
0000003cb1a077f8 rsp 0000007fbfffcfd0 error 4
Apr 17 03:35:03 abc kernel: swap_free: Bad swap offset entry 53000000
Apr 17 03:35:03 abc kernel: swap_free: Bad swap offset entry 01000000
Apr 17 03:35:03 abc kernel: swap_free: Bad swap offset entry 30000000
Apr 17 03:35:03 abc kernel: swap_free: Bad swap offset entry 43000000
Apr 17 03:35:03 abc kernel: swap_free: Bad swap offset entry 29000000
Apr 17 03:35:03 abc kernel: swap_free: Bad swap offset entry 32000000
Apr 17 03:35:03 abc kernel: swap_free: Bad swap offset entry 20000000
Apr 17 03:35:03 abc kernel: swap_free: Bad swap offset entry 74000000
Apr 17 03:35:03 abc kernel: swap_free: Bad swap offset entry 30000000
Apr 17 03:35:03 abc kernel: swap_free: Bad swap offset entry 74000000
Apr 17 03:35:03 abc kernel: swap_free: Bad swap offset entry 3a000000
Apr 17 03:35:03 abc kernel: swap_free: Bad swap offset entry 30000000
Apr 17 03:35:03 abc kernel: swap_free: Bad swap offset entry 3c000000
Apr 17 03:35:03 abc kernel: sh[3888]: segfault at 000000df006c3eb0 rip
0000000000424f54 rsp 0000007fbfffefb0 error 4
Apr 17 03:35:03 abc kernel: mm/memory.c:110: bad pmd
000001007ffef180(0000005800000000).
Apr 17 03:35:03 abc su(pam_unix)[3881]: session closed for user jboss
Apr 17 03:35:03 abc kernel: mm/memory.c:110: bad pmd
000001007ffef188(0000006100000000).
Apr 17 03:35:03 abc kernel: mm/memory.c:110: bad pmd
000001007ffef190(0000007200000000).
Apr 17 03:35:03 abc kernel: mm/memory.c:110: bad pmd
000001007ffef198(0000006500000000).
Apr 17 03:35:03 abc kernel: swap_free: Bad swap offset entry 32000000
Apr 17 03:35:03 abc kernel: swap_free: Bad swap offset entry 61000000
Apr 17 03:35:03 abc kernel: java[3915]: segfault at 00000040b1c6abc0 rip
00000040b1c6abc0 rsp 0000007fbfffcde8 error 14
Apr 17 03:35:03 abc kernel: swap_free: Bad swap offset entry 53000000
Apr 17 03:47:14 abc syslogd 1.4.1: restart.
Comment 1 Eric Sandeen 2008-04-21 10:37:42 EDT
What does syncing have to do with this problem?

Is this during system shutdown?

Were there other error messages that you did not include?

Can you reproduce this?

What modules are loaded at the time?

What sort of swap setup do you have?
Comment 2 Keerthi Prashanth S. 2008-04-21 22:04:43 EDT
Hi Eric,
No this is not during the shutdown process..When an application is run in this
the machine then this error is thrown..Afterwards we have to reboot the machine....
Comment 3 Eric Sandeen 2008-04-21 22:12:57 EDT
Can you answer any of the other questions, please, to provide more info on the
problem?
Comment 4 Keerthi Prashanth S. 2008-04-22 22:31:52 EDT
Hi Eric,
what else u want? Could u please let me know?
Comment 5 Eric Sandeen 2008-04-22 22:50:55 EDT
Hi, there were several questions in comment #1... just trying to get a picture
of what might be going on.  If you can provide the requested info it might help.

Thanks,
-Eric
Comment 6 Keerthi Prashanth S. 2008-04-23 23:40:05 EDT
Hi Eric,
As per the previous comment#2  the error occurs when the machine is running some
applications...

Actually the error messages what it throws is pasted here as u can see above..
 
Right now cannot..but when it happens next time i can..
Comment 7 Eric Sandeen 2008-04-23 23:46:47 EDT
So, the remaining unanswered questions are, just to be clear:

What does syncing have to do with this problem?

Were there other error messages that you did not include?
(I see that you pasted errors; the question I had was, were there other errors
that you did not paste, did you possibly edit out anything that is interesting...)

Can you reproduce this?  i.e., does this happen more than once.

What modules are loaded at the time?  (lsmod will tell you)

What sort of swap setup do you have?  swapfiles?  devices?  how many?  how big?

Comment 8 Eric Sandeen 2008-08-23 00:39:26 EDT
Without the requested info I cannot make progress on this.

Note You need to log in before you can comment on or make changes to this bug.